<p-blockUI [blocked]="blockedDocument"
  ><p-progressSpinner></p-progressSpinner>
</p-blockUI>

    <p-accordion [multiple]="true">
        <p-accordionTab header="ผลการรับ ReferOut" [selected]="true">
            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ผลการรับผู้ป่วย</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="เลือกผลการรับผู้ป่วย" [options]="itemeResult" [(ngModel)]="refer_result_id" optionLabel="refer_result_name" optionValue="refer_result_id" [disabled]="true"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900" *ngIf="refer_result_id != '2'">Service Plan</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="เลือก ServicePlan" [options]="itemeServiceplan" [(ngModel)]="serviceplan_id" optionLabel="serviceplan_name" optionValue="serviceplan_id" [disabled]="true"  *ngIf="refer_result_id != '2'"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900"  *ngIf="refer_result_id != '2'">แผนกที่รับผู้ป่วย</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="เลือกแผนกที่รับผู้ป่วย" [options]="itemeStation" [(ngModel)]="receive_spclty_id" optionLabel="station_name" optionValue="station_id" [disabled]="true"  *ngIf="refer_result_id != '2'"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900"  *ngIf="refer_result_id != '2'">ตึกที่รับผู้ป่วย</label>
                        <input type="text" [style]="{ width: '100%', overflow: 'visible' }" [(ngModel)]="receive_ward_name" pInputText id="receive_ward_name" [disabled]="true" *ngIf="refer_result_id != '2'">
                        <!-- <p-dropdown [style]="{ width: '80%', overflow: 'visible' }" placeholder="เลือกตึกที่รับผู้ป่วย" [options]="department" [(ngModel)]="receive_ward_id" optionLabel="dep_name" optionValue="dep_code" [disabled]="true"  *ngIf="refer_result_id != '2'"></p-dropdown> -->
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <span for="city7" class="text-green-700 fontKanit">วันที่รับผู้ป่วย : </span>
                        <span for="city7" class="fontKanit" *ngIf="referOut.receive_date != 'Invalid date'">{{referOut.receive_date | thaidate:'short'}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เวลารับผู้ป่วย : </span>
                        <span for="city7" class="fontKanit" *ngIf="referOut.receive_time != '00:00:00'">{{referOut.receive_time}}</span>
                    </div>

                    <div class="field col-12 md:col-6">
                        <label class="text-cyan-900">หมายเหตุ</label>
                        <textarea id="refer_reject_reasons" [(ngModel)]="refer_reject_reasons" type="text" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                    </div>

                    <div class="field col-12 md:col-3"  *ngIf="apooint_telemed=='1'">
                        
                            
                        <h4 class="mb-0"><label class="text-cyan-900">วันที่นัด Telemed</label></h4>
                        <!-- <input matInput [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()"> -->
                        <input pInputText [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()"   [disabled]="true" type="text"  style="height: 45px;border-width: 1px;border-color: #E9ECEF;">
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
    
                    </div>
                    <div class="field col-12 md:col-2"  *ngIf="apooint_telemed=='1'">
                    <h4 class="mb-0"><label class="text-cyan-900">เวลา</label></h4>
                    <input [textMask]="{mask: maskTime}" [(ngModel)]="telemed_time" type="text"   style="height: 45px;border-width: 1px;border-color: #E9ECEF;"   [disabled]="true" class="align-item-center"/>
                    </div>

                    <div class="field col-12 md:col-6 flex align-items-center">
                        <div class="flex flex-row flex-wrap card-container blue-container">
                            <div class="flex align-items-center justify-content-center mr-2">
                                <button pButton type="button" class="button-success align-items-center justify-content-center"  styleClass="p-button-lg" 
                                (click)="onPrintReferOut()"><i class="pi pi-print mr-2"></i>พิมพ์</button>
                            </div>
                        </div>

                        <div class="flex align-items-center justify-content-center mr-2">
                            <button pButton type="button" [ngClass]="{'p-button-danger': referOut.eva  != 'eva' , 'p-button-success': referOut.eva  == 'eva'}" (click)="onClickAssess(referOut)" *ngIf="hcode == referOut.refer_hospcode && refer_result_id != '2' && loads_data"><i class="pi pi-list">&nbsp;</i>ประเมินการส่งต่อ</button>
                        </div>

                        <div class="flex align-items-center justify-content-center mr-2">
                            <button pButton type="button" (click)="onClickRemove(referOut)" class="p-button-danger" *ngIf="hcode == referOut.refer_hospcode && refer_result_id != '2'">ยกเลิกใบรีเฟอร์</button>
                        </div>

                    </div>

                </div>
            </div>
        </p-accordionTab>

        <p-accordionTab header="ข้อมูล ReferOut" [selected]="true">
            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ประเภทผู้ป่วย</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ประเภทผู้ป่วย" [options]="itemeTypept" [(ngModel)]="typept_id" optionLabel="typept_name" optionValue="typept_id" [disabled]="true"></p-dropdown>
                    </div>
            
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ระดับความรุนแรง</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ระดับความรุนแรง" [options]="itemeStrength" [(ngModel)]="strength_id" optionLabel="strength_name" optionValue="strength_id" [disabled]="true"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">การนำส่ง&nbsp;&nbsp;&nbsp;</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="การนำส่ง" [options]="itemeLoads" [(ngModel)]="loads_id" optionLabel="loads_name" optionValue="loads_id" [disabled]="true"></p-dropdown>
                    </div>
            
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ประเภทความเร่งด่วน</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ประเภทความเร่งด่วน" [options]="itemeRefertriage" [(ngModel)]="refer_triage_id" optionLabel="name" optionValue="id" [disabled]="true"></p-dropdown>
                    </div>
            
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ปลายทางส่งต่อ</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ปลายทางส่งต่อ" [options]="itemeStation" [(ngModel)]="station_id" optionLabel="station_name" optionValue="station_id" [disabled]="true"></p-dropdown>
                    </div>
            
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">การส่งต่อ&nbsp;&nbsp;</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="การส่งต่อ" [options]="itemeRefertype" [(ngModel)]="refer_type" optionLabel="refer_type_name" optionValue="refer_type" [disabled]="true"></p-dropdown>
                    </div>
            
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="expire_date">วันหมดอายุใบส่งตัว</label>
                        <input  [ngModel]="expire_date | thaidate:'short'"   #city="ngModel"  (ngModelChange)=
                          "expire_date = onPropertyChange(city)" pInputText class="inputfield w-full" [disabled]="true">
                    </div>
            
                    <div class="field col-12 md:col-9">
                        <div class="formgroup-inline">
                            <div class="field-radiobutton">
                                <p-radioButton [(ngModel)]="refer_appoint" [value]="0" id="refer_appoint0" [disabled]="true"></p-radioButton>
                                <label for="city7">ไม่ขอนัด</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton [(ngModel)]="refer_appoint" [value]="2" id="refer_appoint2" [disabled]="true"></p-radioButton>
                                <label for="city8">ขอนัดตามสะดวก</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton [(ngModel)]="refer_appoint" [value]="3" id="refer_appoint3" [disabled]="true"></p-radioButton>
                                <label for="city8">มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton [(ngModel)]="refer_appoint" [value]="1" id="refer_appoint1" [disabled]="true"></p-radioButton>
                                <label for="city8">ขอนัดด่วนภายใน 24 ชั่วโมง</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton [(ngModel)]="refer_appoint" [value]="4" id="refer_appoint4" [disabled]="true"></p-radioButton>
                                <label for="city8">ขอนัด CAG</label>
                            </div>
                        </div>
                    </div>
                    <div class="field col-12 md:col-3">
                        <div class="field-checkbox">
                            <p-checkbox [(ngModel)]="refer_xray_online" id="refer_xray_online" [value]="1" [disabled]="true"></p-checkbox>
                            <label for="refer_xray_online">ส่ง x-ray online</label>
                        </div>
                    </div>

                    <div class="field col-12 md:col-12">
                        <div class="formgroup-inline">
                            <div class="field-checkbox">
                                <!-- <p-checkbox [(ngModel)]="refer_sentto_CancerAnywhere" [binary]="true" inputId="refer_sentto_CancerAnywhere"  [disabled]="true"></p-checkbox> -->
                                <p-checkbox [(ngModel)]="refer_sentto_CancerAnywhere" value="1" inputId="refer_sentto_CancerAnywhere"  [disabled]="true"></p-checkbox>
                                
                                <!-- <p-checkbox [(ngModel)]="refer_sentto_CancerAnywhere" id="refer_sentto_CancerAnywhere" [value]="1" [disabled]="true"></p-checkbox> -->
                                <label for="refer_sentto_CancerAnywhere">ลงทะเบียนมะเร็ง (CancerAnywhere)</label>
                            </div>
                            <div class="field-checkbox">
                                <!-- <p-checkbox [(ngModel)]="apooint_telemed" id="apooint_telemed" [value]="1" [disabled]="true"></p-checkbox> -->

                                <p-checkbox [(ngModel)]="apooint_telemed" value="1" inputId="apooint_telemed"  [disabled]="true"></p-checkbox>
                                
                                <label for="apooint_telemed">Telemed</label>
                            </div>
                            
                        </div>
                    </div>
            
                    <div class="field col-12 md:col-6">
                        <label for="equipwithpatient">รายการอุปกรณ์มากับคนไข้</label>
                        <textarea id="equipwithpatient" [(ngModel)]="equipwithpatient" type="text" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                    </div>
                    <div class="field col-12 md:col-6">
                        <label for="refer_remark">หมายเหตุ</label>
                        <textarea id="refer_remark" type="text" [(ngModel)]="refer_remark" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                    </div>
            
                </div>
            </div>
        </p-accordionTab>

        <p-accordionTab header="ดูข้อมูลทั่วไป" [selected]="true">
            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เลขที่ส่ง : </span>
                        <span for="city7" class="fontKanit">{{referOut.refer_no}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เลขที่ HIS : </span>
                        <span for="city7" class="fontKanit">{{referOut.refer_his_no}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">วันที่ : </span>
                        <span for="city7" class="fontKanit">{{referOut.refer_date | thaidate:'short'}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">HN : </span>
                        <span for="city7" class="fontKanit">{{referOut.hn}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">ชื่อ : </span>
                        <span for="city7" class="fontKanit">{{referOut.pname}}{{referOut.fname}} {{referOut.lname}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">อายุ : </span>
                        <span for="city7" class="fontKanit">{{referOut.age}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">PID : </span>
                        <span for="city7" class="fontKanit">{{referOut.pid}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">AN : </span>
                        <span for="city7" class="fontKanit">{{referOut.an}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เลขบัตรประชาชน : </span>
                        <span for="city7" class="fontKanit">{{referOut.cid}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เพศ : </span>
                        <span for="city7" class="fontKanit">{{referOut.sex}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">อาชีพ : </span>
                        <span for="city7" class="fontKanit">{{referOut.occupation}}</span>
                    </div>
                    <div class="field col md:col-4">
                    
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">บิดา : </span>
                        <span for="city7" class="fontKanit">{{referOut.father_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">มารดา : </span>
                        <span for="city7" class="fontKanit">{{referOut.mother_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">คู่สมรส : </span>
                        <span for="city7" class="fontKanit">{{referOut.couple_name}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">ผู้ที่สามารถติดต่อได้ : </span>
                        <span for="city7" class="fontKanit">{{referOut.contact_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">ความสัมพันธ์ : </span>
                        <span for="city7" class="fontKanit">{{referOut.contact_relation}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">โทรศัพท์ : </span>
                        <span for="city7" class="fontKanit">{{referOut.contact_mobile}}</span>
                    </div>
            
                    <div class="field col md:col-8">
                        <span for="city7" class="text-green-700 fontKanit">ที่อยู่ : </span>
                        <span for="city7" class="fontKanit">{{referOut.addrpart}} {{referOut.address_name}} </span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">service Plan : </span>
                        <span for="city7" class="fontKanit">{{referOut.serviceplan_name}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">จากสถานพยาบาล : </span>
                        <span for="city7" class="fontKanit">{{referOut.hcode}} : {{referOut.hname}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">แพทย์ผู้สั่ง : </span>
                        <span for="city7" class="fontKanit">{{referOut.doctor_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">จุดบริการปลายทาง : </span>
                        <span for="city7" class="fontKanit">{{referOut.refer_hospcode}} : {{referOut.refer_hospname}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เหตุผลการส่ง : </span>
                        <span for="city7" class="fontKanit">{{referOut.refer_cause}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">สิทธิการรักษา : </span>
                        <span for="city7" class="fontKanit">{{referOut.pttype_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">เลขที่สิทธิ : </span>
                        <span for="city7" class="fontKanit">{{referOut.pttypeno}}</span>
                    </div>
            
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">สถานพยาบาลหลัก : </span>
                        <span for="city7" class="fontKanit">{{referOut.hospmain}} : {{referOut.hospmain_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-700 fontKanit">สถานพยาบาลรอง : </span>
                        <span for="city7" class="fontKanit">{{referOut.hospsub}} : {{referOut.hospsub_name}}</span>
                    </div>
                </div>
            </div>

        </p-accordionTab>

        <p-accordionTab header="การวินิจฉัย" [selected]="true">
            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-12">
                        <label for="diag_text" class="text-green-600">การวินิจฉัยโรคเบื้องต้น</label>
                        <textarea id="diag_text" [disabled]="true" type="text" rows="6" [(ngModel)]="signtext.diag_text" class="inputfield w-full"></textarea>
                    </div>
                </div>
                    <div class="field col-12 md:col-12">
                        <label for="diag_text" class="text-green-600">ผลการวินิจฉัย</label>
                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                            <p-table #dtCreate [value]="diagnosis" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
                                [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                                paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                                [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="10">
                                <ng-template pTemplate="headergrouped">
                                    <tr>
                                        <th class="text-center" #pFrozenColumn>รหัส icd10</th>
                                        <th class="text-center" #pFrozenColumn>การวินิจฉัย(อังกฤษ)</th>
                                        <th class="text-center">ประเภทการวินิจฉัย</th>
                                    </tr>
                                </ng-template>
                                <ng-template pTemplate="body" let-rows>
                                    <tr class="p-selectable-row">
                                        <td #pFrozenColumn>
                                            <span class="p-column-title">รหัส icd10</span>
                                            {{rows.icd_code}}
                                        </td>
                                        <td #pFrozenColumn>
                                            <span class="p-column-title">การวินิจฉัย(อังกฤษ)</span>
                                            {{rows.icd_name}}
                                        </td>
                                        <td #pFrozenColumn>
                                            <span class="p-column-title">ประเภทการวินิจฉัย</span>
                                            <span *ngIf="rows.diag_type == 1">
                                                โรคหลัก
                                            </span>
                                            <span *ngIf="rows.diag_type != 1">
                                                โรครอง
                                            </span>
                                        </td>
                                    </tr>
                                </ng-template>
                                <ng-template pTemplate="emptymessage">
                                    <tr>
                                        <td colspan="16">ไม่พบรายการ..</td>
                                    </tr>
                                </ng-template>
                            </p-table>
                        </div>
                    </div>
            </div>

        </p-accordionTab>

        <p-accordionTab header="ผลการรักษา-แนบเอกสาร" [selected]="true">

            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">
                    <p-tabView>
                        <p-tabPanel header="การรักษา" leftIcon="pi pi-book">
                            <br>
                            <div class="formgrid grid">
                                <div class="field col md:col-12">
                                    <b class="text-green-600">น้ำหนัก&nbsp;&nbsp; </b> <strong>{{signtext.body_weight_kg}} &nbsp;กก.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ส่วนสูง&nbsp;&nbsp; </b> <strong>{{signtext.height_cm}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">BMI&nbsp;&nbsp; </b> <strong>{{bmi | number:'1.2-2' :'en'}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ความดันโลหิต&nbsp;&nbsp; </b> <strong>{{signtext.bps}}</strong>/<strong>{{signtext.pds}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">อุณหภูมิ&nbsp;&nbsp; </b> <strong>{{signtext.temperature}}&nbsp;เซลเซียส</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">PR&nbsp;&nbsp; </b> <strong>{{signtext.hr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">RR&nbsp;&nbsp; </b> <strong>{{signtext.rr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Blood Group&nbsp;&nbsp; </b> <strong>{{signtext.bloodgroup}}</strong>&nbsp;&nbsp;&nbsp;
                                    <br>
                                    <b class="text-green-600">Sao2&nbsp;&nbsp; </b> <strong><{{signtext.oxygen_sat}}&nbsp;%</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:E&nbsp;&nbsp; </b> <strong>{{signtext.eye_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:M&nbsp;&nbsp; </b> <strong>{{signtext.movement_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:V&nbsp;&nbsp; </b> <strong>{{signtext.vocal_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Rt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_right}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Lt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_left}}</strong>&nbsp;&nbsp;&nbsp;
                                </div>
 
                                <div class="field col-12 md:col-6">
                                    <label for="textCc" class="text-green-600"><b>CC</b></label>
                                    <textarea [disabled]="true" id="textCc" type="text" rows="6" [(ngModel)]="signtext.cc" class="inputfield w-full"></textarea>
                                </div>
                                <div class="field col-12 md:col-6">
                                    <label for="textPmh" class="text-green-600"><b>PMH</b></label>
                                    <textarea [disabled]="true" id="textPmh" type="text" rows="6" [(ngModel)]="signtext.pmh" class="inputfield w-full"></textarea>
                                </div>
            
                                <div class="field col-12 md:col-6">
                                    <label for="textPe"class="text-green-600"><b>PE</b></label>
                                    <textarea [disabled]="true" id="textPe" type="text" rows="6" [(ngModel)]="signtext.pe" class="inputfield w-full"></textarea>
                                </div>
                                <div class="field col-12 md:col-6">
                                    <label for="textHpi"class="text-green-600"><b>HPI</b></label>
                                    <textarea [disabled]="true" id="textHpi" type="text" rows="6" [(ngModel)]="signtext.hpi" class="inputfield w-full"></textarea>
                                </div>
            
                            </div>
            
                        </p-tabPanel>
                        <p-tabPanel header="หัตถการ" leftIcon="pi pi-credit-card">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="procedure" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                         responsiveLayout="scroll"
                                       [scrollable]="true" scrollHeight="345px" 
                                        [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่ทำหัถการ</th>
                                                <th class="text-center">เวลา</th>
                                                <th class="text-center">รหัสหัตถการ</th>
                                                <th class="text-center">ชื่อหัตถการ</th>
                                                <th class="text-center">ค่าบริการ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ทำหัถการ</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รหัสหัตถการ</span>
                                                    {{rows.procedure_code}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อหัตถการ</span>
                                                    {{rows.procedure_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ค่าบริการ</span>
                                                    {{rows.serviceprice}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="6">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
            
                        <p-tabPanel header="ผล LAB" leftIcon="pi pi-desktop">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="lab" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่ทำแล็บ</th>
                                                <th class="text-center" #pFrozenColumn>เวลา</th>
                                                <th class="text-center">กลุ่มแล็บ</th>
                                                <th class="text-center">รายการ</th>
                                                <th class="text-center">ผลแล็บ</th>
                                                <th class="text-center">ค่าปกติ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ทำแล็บ</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">กลุ่มแล็บ</span>
                                                    {{rows.labgroup}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รายการ</span>
                                                    {{rows.lab_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ผลแล็บ</span>
                                                    {{rows.lab_result}} {{rows.unit}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ค่าปกติ</span>
                                                    {{rows.standard_result}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="6">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
            
                        <p-tabPanel header="ยา" leftIcon="pi pi-briefcase">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="drugs" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่จ่ายยา</th>
                                                <th class="text-center" #pFrozenColumn>เวลา</th>
                                                <th class="text-center">ชื่อยา</th>
                                                <th class="text-center">จำนวน</th>
                                                <th class="text-center">หน่วยนับ</th>
                                                <th class="text-center">วิธีใช้</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่จ่ายยา</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อยา</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">จำนวน</span>
                                                    {{rows.qty}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">หน่วยนับ</span>
                                                    {{rows.unit}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วิธีใช้</span>
                                                    {{rows.usage_line1}}<br>
                                                    {{rows.usage_line2}}<br>
                                                    {{rows.usage_line3}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="6">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="ยาเดิม" leftIcon="pi pi-briefcase">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="medrecconcile" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>ชื่อสถานบริการที่ได้รับยา</th>
                                                <th class="text-center" #pFrozenColumn>ชื่อยา</th>
                                                <th class="text-center">ขนาดและวิธีใช้ยา</th>
                                                <th class="text-center">วันที่ได้รับยาครั้งสุดท้าย</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อสถานบริการที่ได้รับยา</span>
                                                    {{rows.drug_hospname}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อยา</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ขนาดและวิธีใช้ยา</span>
                                                    {{rows.drug_use}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ได้รับยาครั้งสุดท้าย</span>
                                                    {{rows.drug_receive_date | thaidate:'short'}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="4">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="แพ้ยา" leftIcon="pi pi-ban">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="allergy" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่มีอาการ</th>
                                                <th class="text-center" #pFrozenColumn>วันที่รายงาน</th>
                                                <th class="text-center">ยาที่แพ้</th>
                                                <th class="text-center">อาการที่แพ้</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่มีอาการ</span>
                                                    {{rows.begin_date | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่รายงาน</span>
                                                    {{rows.daterecord}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ยาที่แพ้</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">อาการที่แพ้</span>
                                                    {{rows.symptom}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="X-Ray" leftIcon="pi pi-camera">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="xray" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่สั่ง</th>
                                                <th class="text-center" #pFrozenColumn>รายการ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่สั่ง</span>
                                                    {{rows.xray_date | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รายการ</span>
                                                    {{rows.xray_name}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <!-- <p-tabPanel header="วัคซีน Covid-19" leftIcon="pi pi-history">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="itemeCovidVaccine" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="345px"
                                    [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center">เข็มที่</th>
                                                <th class="text-center" #pFrozenColumn>ชื่อหน่วยให้บริการ</th>
                                                <th class="text-center" #pFrozenColumn>วันที่/เวลา ได้รับวัคซีน</th>
                                                <th class="text-center">ชื่อ Vaccine</th>
                                                <th class="text-center">lot number</th>
                                                <th class="text-center">serial no</th>
                                                
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เข็มที่</span>
                                                    {{rows.vaccine_plan_no}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อหน่วยให้บริการ</span>
                                                    {{rows.hospital_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่/เวลา ได้รับวัคซีน</span>
                                                    {{rows.immunization_datetime | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อ Vaccine</span>
                                                    {{rows.vaccine_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">lot number</span>
                                                    {{rows.lot_number}}
                                                </td> <td #pFrozenColumn>
                                                    <span class="p-column-title">serial no</span>
                                                    {{rows.serial_no}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="6">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel> -->
                        <p-tabPanel header="เอกสารแนบ" leftIcon="pi pi-upload">
                            <div class="field col-12 md:col-12">
                                
                                <div class="col">
                                    <div class="flex justify-content-end flex-wrap card-container green-container">
                                        <div class="flex align-items-center justify-content-center mb-2 mt-1">
                                            <span class="input-icon-left">
                                                <button pButton type="button" class="p-button-primary" (click)="uploadsRoute()"><i class="pi pi-paperclip"></i>&nbsp;แนบเอกสาร</button>
                                            </span>
                                        </div>                    
                                    </div>                   
                                </div>
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="itemeAttachment" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" 
                                    responsiveLayout="scroll"
                                    [scrollable]="true" scrollHeight="315px"
                                    [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่</th>
                                                <th class="text-center" #pFrozenColumn>ประเภทเอกสาร</th>
                                                <th class="text-center" #pFrozenColumn>ดาวน์โหลดเอกสาร</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn>
                                                    <span class="p-column-title">วันที่</span>
                                                    {{rows.created_date | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ประเภทเอกสาร</span>
                                                    <span *ngIf="rows.description==null">{{rows.att_type}}</span>
                                                    <span *ngIf="rows.description!=null">{{rows.description}}</span>
                                                                            </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ดาวน์โหลดเอกสาร</span>
                                                    <span class="p-inputgroup-addon" pTooltip="ดาวน์โหลด"
                                                    (click)="downloadAttRoute(rows.att_path)"><i class="fas fa-download"
                                                        style="line-height: 1.25;color:green"></i></span>
                                                                        </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        
                    </p-tabView>
                </div>
            </div>

        </p-accordionTab>
    </p-accordion>




